%define fontname        riordonfancy
%define fontconf        69-%{fontname}.conf

Name:           oflb-%{fontname}-fonts
Version:        4
Release:        11
Summary:        A stylized font

License:        OFL
URL:            http://openfontlibrary.org/media/files/tthurman/354
Source0:        http://openfontlibrary.org/people/tthurman/tthurman_-_Riordon_Fancy.zip
Source1:        %{fontname}-fontconfig.conf
Source2:        oflb-%{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel fontforge
Requires:       fontpackages-filesystem

%description
RiordonFancy is a highly-stylized font designed by ten-year-old Riordon
Thurman. It includes all ASCII glyphs, most Latin-1 glyphs, a number of Latin
Extended glyphs, the interrobang (‽), and the snowman (☃).

%prep
%setup -qc

%build
rm RiordonFancy.ttf
FONTFORGE_LANGUAGE=ff fontforge -script "-" *.sfd <<EOF
i = 1
while (i < \$argc)
  Open(\$argv[i], 1)
  fontname = StrJoin(StrSplit(\$fontname, "O"), "")
  familyname = StrJoin(StrSplit(\$familyname, " O"), "")
  fullname = StrJoin(StrSplit(\$fullname, " O"), "")
  SetFontNames(fontname, familyname, fullname)
  ScaleToEm(2048)
  RoundToInt()
  SetFontOrder(2)
  SelectAll()
  AutoInstr()
  Generate(\$fontname + ".ttf")
  Close()
  i++
endloop
EOF

%install
install -dm 755 $RPM_BUILD_ROOT%{_fontdir}
install -pm 644 RiordonFancy.ttf $RPM_BUILD_ROOT%{_fontdir}/

install -dm 755 $RPM_BUILD_ROOT%{_fontconfig_templatedir}
install -dm 755 $RPM_BUILD_ROOT%{_fontconfig_confdir}
install -pm 644 %{SOURCE1} $RPM_BUILD_ROOT%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
  $RPM_BUILD_ROOT%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/oflb-%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.ttf
%doc readme.txt fontlog.txt
%{_datadir}/appdata/oflb-%{fontname}.metainfo.xml

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Oct 18 2014 Parag Nemade <pnemade AT redhat DOT com> - 4-10
- Add metainfo file to show this font in gnome-software

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 13 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 4-2
- Rebuild for stronger hashes

* Mon Mar 16 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 4-1
- Upstream update
- Renamed to oflb-riordon-fancy-fonts

* Sun Jan 04 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 3-2
- Removed disttag
- Moved from old font template to new font template
- Changed name to lowercase

* Thu Jan  1 2009 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> 3-1
- Initial RPM release
